Package org.eclipse.net4j.util.io

# Class ExtendedIOAdapter

java.lang.Object
org.eclipse.net4j.util.io.ExtendedIOAdapter

All Implemented Interfaces:
  `ExtendedInputHandler`, `ExtendedIOHandler`, `ExtendedOutputHandler`

public class ExtendedIOAdapter extends Object implements ExtendedIOHandler

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ExtendedIOAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleIn(ExtendedDataInputStream in)`
`void`
`handleOut(ExtendedDataOutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedIOAdapter

public ExtendedIOAdapter()

## Method Details

### handleIn

public void handleIn(ExtendedDataInputStream in) throws IOException

Specified by:
  `handleIn` in interface `ExtendedInputHandler`
Throws:
  `IOException`

### handleOut

public void handleOut(ExtendedDataOutputStream out) throws IOException

Specified by:
  `handleOut` in interface `ExtendedOutputHandler`
Throws:
  `IOException`